package info.textgrid.lab.collatex.ui.commands;

import info.textgrid.lab.collatex.ui.parts.CollationSetEditor;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.handlers.HandlerUtil;

public class CollateHandler extends AbstractHandler implements IHandler {

	@Override
	public Object execute(final ExecutionEvent event) throws ExecutionException {
		final IEditorPart editor = HandlerUtil.getActiveEditorChecked(event);
		if (editor instanceof CollationSetEditor)
			((CollationSetEditor) editor).collate();
		return null;
	}

}
